<?php

namespace App\Http\Controllers\Api;

use App\Service\CheckService;
use Illuminate\Http\Request;

class CheckController extends BaseController
{
    public function checkAll(Request $request)
    {
        $service = new CheckService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->checkAll($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getOrderDetail(Request $request){
        $service = new CheckService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->getOrderDetail($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
