<?php

namespace App\Http\Controllers\Api;

use App\Service\ConstructionService;
use Illuminate\Http\Request;

class ConstructionController extends BaseController
{
    public function constructionAdd(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->constructionAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function constructionEdit(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->constructionEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function constructionDel(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->constructionDel($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function constructionList(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->constructionList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function constructionDetail(Request $request)
    {
        $service = new ConstructionService();
        list($status,$data) = $service->detail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function constructionGet(Request $request)
    {
        $service = new ConstructionService();
        list($status,$data) = $service->constructionGet($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function deliveryNoteList(Request $request)
    {
        $service = new ConstructionService();
        list($status,$data) = $service->deliveryNoteList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deliveryNoteDetail(Request $request)
    {
        $service = new ConstructionService();
        list($status,$data) = $service->deliveryNoteDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function deliveryNoteEdit(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->deliveryNoteEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deliveryNoteDel(Request $request)
    {
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->deliveryNoteDel($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


}
