<?php

namespace App\Http\Controllers\Api;


use App\Service\OaService;
use App\Service\OperationLogService;
use Illuminate\Http\Request;


class OperationLogController extends BaseController
{





    public function getOperationList(Request $request)
    {


        $service = new OperationLogService();
        list($status,$data) = $service->getOperationList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function setOperationList(Request $request){
        $service = new OperationLogService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->setOperationList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }









}
