<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

/**
 * 交车单
 * Class Unit
 * @package App\Models
 */
class DeliveryNote extends Model
{
    protected $table = "delivery_note"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';



    public function getBreakAttribute($value)
    {
        return json_decode($value, true);
    }



    public function getBreakMarkAttribute($value)
    {
        return json_decode($value, true);
    }



    public function getProjectIdAttribute($value)
    {
        return json_decode($value, true);
    }

}
