<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;


class U8Job extends Model
{
    protected $table = "u8_job"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    const success = 1;
    const failed = 2;

    const one = 1;
    const two = 2;
    public static $type = [
        self::one,
        self::two,
    ];
    public static $type_title = [
        self::one => '采购单同步',
        self::two => '销售订单（合同同步）',
    ];

    const job1 = 't9u8_purchase';
    const job2 = 't9u8_sales';
    public static $job = [
        self::one => self::job1,
        self::two => self::job2,
    ];
}
