<?php

namespace App\Http\Controllers\Api;


use App\Service\ScheduleService;
use Illuminate\Http\Request;

class ScheduleController extends BaseController
{
    public function edit(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function add(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->add($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function del(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function getList(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->getList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function detail(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->detail($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function scheduleGetForConstruction(Request $request)
    {
        $service = new ScheduleService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->scheduleGetForConstruction($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
