<?php

namespace App\Http\Controllers\Api;

use App\Service\TableHeadService;
use Illuminate\Http\Request;

class TableHeadController extends BaseController
{
    public function tableHeadAdd(Request $request)
    {
        $service = new TableHeadService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->tableheadAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function tableHeadGet(Request $request)
    {
        $service = new TableHeadService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->tableheadGet($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
