<?php

namespace App\Model;

class PurchaseOrderSpecial extends UseScopeBaseModel
{
    protected $table = "purchase_order_special"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//未入库
    const STATE_TWO = 2;//已入库
    const prefix = 'XNCG';
    public static $name = [
        self::STATE_ZERO => '未确认',
        self::STATE_ONE => '未入库',
        self::STATE_TWO => '已入库',
    ];

    const range_function = '';
}
