<?php

namespace App\Model;

class ReturnExchangeOrder extends UseScopeBaseModel
{
    protected $table = "return_exchange_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    const Order_type = 0; //合同
    const Order_type2 = 1; // 采购单
    public static $order_type_name = [
        self::Order_type => '合同',
        self::Order_type2 => '采购单',
    ];
    const Model_type_one = 1; // 退货单
    const Model_type_two = 2; // 换货单
    public static $model_type = [
        self::Model_type_one,
        self::Model_type_two,
    ];
    public static $model_type_name = [
        self::Model_type_one => '退货单',
        self::Model_type_two => '换货单',
    ];

    const State_zero = 0;//未确认
    const State_one = 1;//待确认
    const State_two = 2;//已确认
    public static $state = [
        self::State_zero => '未确认',
        self::State_one => '待确认',
        self::State_two => '已确认',
    ];

    public static $prefix = [
        self::Model_type_one => 'TH',
        self::Model_type_two => 'HH',
    ];
    const range_function = 'returnExchangeOrderRange';
}
